<?php
/*
$Id: collectivite.class.php,v 1.1 2006-05-16 18:44:59 fgiva Exp $
*/
require_once ("formulaire.class.php");
require_once ("dbform.class.php");

class collectivite extends dbForm {

    var $table="collectivite";
    var $clePrimaire= "id";
    var $typeCle= "N" ;



function collectivite($id,$db,$debug)  {
$this->constructeur($id,$db,$debug);
} // fin constructeur




function setvalF($val){
    $this->valF['ville'] = $val['ville'];
    $this->valF['logo'] = $val['logo'];
    $this->valF['maire'] = $val['maire'];
}



function verifier(){
$this->correct=True;
// obligatoire
if ($this->valF['ville']==""){
   $this->correct=false;
   $this->msg= $this->msg."<br>ville obligatoire";
}

if ($this->valF['logo']==""){
   $this->correct=false;
   $this->msg= $this->msg."<br>logo obligatoire";
}

}//verifier

function ajouter($val,$db,$debug){
         echo "une seule collectivité possible";
}
function supprimer($val,$db,$debug){
         echo "impossible";
}


function setType(&$form, $maj) {
   $form->setType('datetableau','date');
   $form->setType('id','hiddenstatic');
}

function setTaille(&$form,$maj){
$form->setTaille('id', 1);
$form->setTaille('ville', 30);
$form->setTaille('logo', 40);
$form->setTaille('maire', 40);
$form->setTaille('inseeville', 5);
$form->setTaille('expediteurinsee', 10);
$form->setTaille('datetableau', 10);
}
function setMax(&$form,$maj){
$form->setMax('id', 1);
$form->setMax('ville', 30);
$form->setMax('logo', 40);
$form->setMax('maire', 40);
$form->setMax('inseeville', 5);
$form->setMax('expediteurinsee', 10);
$form->setMax('datetableau', 10);
}

}// fin de classe
?>